package com.sinosig.mybatis.module2.po;

import com.sinosig.core.repository.po.YDJJDC;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;
import java.io.Serializable;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
/**
 * 关系型数据实体表[YDJJDC] 对象
 */
@TableName(value = "T_YDJJDC",resultMap = "T_YDJJDCResultMap")
public class T_YDJJDCImpl implements YDJJDC,Serializable {

    private Timestamp CreateDate;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean CreateDateDirtyFlag;

    private String CreateMan;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean CreateManDirtyFlag;

    private String CPXH;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean CPXHDirtyFlag;

    private String Fdjh;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean FdjhDirtyFlag;

    private String Cldl;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean CldlDirtyFlag;

    private String UpdateMan;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean UpdateManDirtyFlag;

    private Double Gl;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean GlDirtyFlag;

    private String Hpzl;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean HpzlDirtyFlag;

    private String Cphm;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean CphmDirtyFlag;

    private Timestamp Cdrq;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean CdrqDirtyFlag;

    private Integer Hdzk;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean HdzkDirtyFlag;

    private Double Pl;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean PlDirtyFlag;

    private BigDecimal Clsjjz;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean ClsjjzDirtyFlag;

    private String Dycpxh;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean DycpxhDirtyFlag;

    private String Syxz;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean SyxzDirtyFlag;

    private String Clzl;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean ClzlDirtyFlag;

    private Double Zbzl;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean ZbzlDirtyFlag;

    private String YDJJDCName;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean YDJJDCNameDirtyFlag;

    private BigDecimal Xcgzj;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean XcgzjDirtyFlag;

    private Timestamp UpdateDate;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean UpdateDateDirtyFlag;

    private Double Hdzzl;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean HdzzlDirtyFlag;

    private String Abl;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean AblDirtyFlag;

    private String Cllxms;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean CllxmsDirtyFlag;

    private String Cjh;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean CjhDirtyFlag;

    private String Hpds;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean HpdsDirtyFlag;

    /**
     * 已登记机动车标识
     */        
    @TableId(value= "ydjjdcid",type=IdType.UUID)//指定主键生成策略
    private String YDJJDCId;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean YDJJDCIdDirtyFlag;

    /**
     * 获取 [建立时间]
     */
    public Timestamp getCreateDate(){
        return CreateDate ;
    }

    /**
     * 设置 [建立时间]
     */
    public void setCreateDate(Timestamp  createDate){
        this.CreateDate = createDate ;
        this.CreateDateDirtyFlag = true ;
    }
    /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    public boolean getCreateDateDirtyFlag(){
        return CreateDateDirtyFlag ;
    }

    /**
     * 获取 [建立人]
     */
    public String getCreateMan(){
        return CreateMan ;
    }

    /**
     * 设置 [建立人]
     */
    public void setCreateMan(String  createMan){
        this.CreateMan = createMan ;
        this.CreateManDirtyFlag = true ;
    }
    /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    public boolean getCreateManDirtyFlag(){
        return CreateManDirtyFlag ;
    }

    /**
     * 获取 [厂牌型号]
     */
    public String getCPXH(){
        return CPXH ;
    }

    /**
     * 设置 [厂牌型号]
     */
    public void setCPXH(String  cPXH){
        this.CPXH = cPXH ;
        this.CPXHDirtyFlag = true ;
    }
    /**
     * 获取 [厂牌型号]脏标记
     */
    @JsonIgnore
    public boolean getCPXHDirtyFlag(){
        return CPXHDirtyFlag ;
    }

    /**
     * 获取 [发动机号]
     */
    public String getFdjh(){
        return Fdjh ;
    }

    /**
     * 设置 [发动机号]
     */
    public void setFdjh(String  fdjh){
        this.Fdjh = fdjh ;
        this.FdjhDirtyFlag = true ;
    }
    /**
     * 获取 [发动机号]脏标记
     */
    @JsonIgnore
    public boolean getFdjhDirtyFlag(){
        return FdjhDirtyFlag ;
    }

    /**
     * 获取 [车辆大类]
     */
    public String getCldl(){
        return Cldl ;
    }

    /**
     * 设置 [车辆大类]
     */
    public void setCldl(String  cldl){
        this.Cldl = cldl ;
        this.CldlDirtyFlag = true ;
    }
    /**
     * 获取 [车辆大类]脏标记
     */
    @JsonIgnore
    public boolean getCldlDirtyFlag(){
        return CldlDirtyFlag ;
    }

    /**
     * 获取 [更新人]
     */
    public String getUpdateMan(){
        return UpdateMan ;
    }

    /**
     * 设置 [更新人]
     */
    public void setUpdateMan(String  updateMan){
        this.UpdateMan = updateMan ;
        this.UpdateManDirtyFlag = true ;
    }
    /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    public boolean getUpdateManDirtyFlag(){
        return UpdateManDirtyFlag ;
    }

    /**
     * 获取 [功率]
     */
    public Double getGl(){
        return Gl ;
    }

    /**
     * 设置 [功率]
     */
    public void setGl(Double  gl){
        this.Gl = gl ;
        this.GlDirtyFlag = true ;
    }
    /**
     * 获取 [功率]脏标记
     */
    @JsonIgnore
    public boolean getGlDirtyFlag(){
        return GlDirtyFlag ;
    }

    /**
     * 获取 [号牌种类]
     */
    public String getHpzl(){
        return Hpzl ;
    }

    /**
     * 设置 [号牌种类]
     */
    public void setHpzl(String  hpzl){
        this.Hpzl = hpzl ;
        this.HpzlDirtyFlag = true ;
    }
    /**
     * 获取 [号牌种类]脏标记
     */
    @JsonIgnore
    public boolean getHpzlDirtyFlag(){
        return HpzlDirtyFlag ;
    }

    /**
     * 获取 [车牌号码]
     */
    public String getCphm(){
        return Cphm ;
    }

    /**
     * 设置 [车牌号码]
     */
    public void setCphm(String  cphm){
        this.Cphm = cphm ;
        this.CphmDirtyFlag = true ;
    }
    /**
     * 获取 [车牌号码]脏标记
     */
    @JsonIgnore
    public boolean getCphmDirtyFlag(){
        return CphmDirtyFlag ;
    }

    /**
     * 获取 [初登日期]
     */
    public Timestamp getCdrq(){
        return Cdrq ;
    }

    /**
     * 设置 [初登日期]
     */
    public void setCdrq(Timestamp  cdrq){
        this.Cdrq = cdrq ;
        this.CdrqDirtyFlag = true ;
    }
    /**
     * 获取 [初登日期]脏标记
     */
    @JsonIgnore
    public boolean getCdrqDirtyFlag(){
        return CdrqDirtyFlag ;
    }

    /**
     * 获取 [核定载客]
     */
    public Integer getHdzk(){
        return Hdzk ;
    }

    /**
     * 设置 [核定载客]
     */
    public void setHdzk(Integer  hdzk){
        this.Hdzk = hdzk ;
        this.HdzkDirtyFlag = true ;
    }
    /**
     * 获取 [核定载客]脏标记
     */
    @JsonIgnore
    public boolean getHdzkDirtyFlag(){
        return HdzkDirtyFlag ;
    }

    /**
     * 获取 [排量]
     */
    public Double getPl(){
        return Pl ;
    }

    /**
     * 设置 [排量]
     */
    public void setPl(Double  pl){
        this.Pl = pl ;
        this.PlDirtyFlag = true ;
    }
    /**
     * 获取 [排量]脏标记
     */
    @JsonIgnore
    public boolean getPlDirtyFlag(){
        return PlDirtyFlag ;
    }

    /**
     * 获取 [车辆实际价值]
     */
    public BigDecimal getClsjjz(){
        return Clsjjz ;
    }

    /**
     * 设置 [车辆实际价值]
     */
    public void setClsjjz(BigDecimal  clsjjz){
        this.Clsjjz = clsjjz ;
        this.ClsjjzDirtyFlag = true ;
    }
    /**
     * 获取 [车辆实际价值]脏标记
     */
    @JsonIgnore
    public boolean getClsjjzDirtyFlag(){
        return ClsjjzDirtyFlag ;
    }

    /**
     * 获取 [打印厂牌型号]
     */
    public String getDycpxh(){
        return Dycpxh ;
    }

    /**
     * 设置 [打印厂牌型号]
     */
    public void setDycpxh(String  dycpxh){
        this.Dycpxh = dycpxh ;
        this.DycpxhDirtyFlag = true ;
    }
    /**
     * 获取 [打印厂牌型号]脏标记
     */
    @JsonIgnore
    public boolean getDycpxhDirtyFlag(){
        return DycpxhDirtyFlag ;
    }

    /**
     * 获取 [使用性质]
     */
    public String getSyxz(){
        return Syxz ;
    }

    /**
     * 设置 [使用性质]
     */
    public void setSyxz(String  syxz){
        this.Syxz = syxz ;
        this.SyxzDirtyFlag = true ;
    }
    /**
     * 获取 [使用性质]脏标记
     */
    @JsonIgnore
    public boolean getSyxzDirtyFlag(){
        return SyxzDirtyFlag ;
    }

    /**
     * 获取 [车辆种类]
     */
    public String getClzl(){
        return Clzl ;
    }

    /**
     * 设置 [车辆种类]
     */
    public void setClzl(String  clzl){
        this.Clzl = clzl ;
        this.ClzlDirtyFlag = true ;
    }
    /**
     * 获取 [车辆种类]脏标记
     */
    @JsonIgnore
    public boolean getClzlDirtyFlag(){
        return ClzlDirtyFlag ;
    }

    /**
     * 获取 [整备质量]
     */
    public Double getZbzl(){
        return Zbzl ;
    }

    /**
     * 设置 [整备质量]
     */
    public void setZbzl(Double  zbzl){
        this.Zbzl = zbzl ;
        this.ZbzlDirtyFlag = true ;
    }
    /**
     * 获取 [整备质量]脏标记
     */
    @JsonIgnore
    public boolean getZbzlDirtyFlag(){
        return ZbzlDirtyFlag ;
    }

    /**
     * 获取 [已登记机动车名称]
     */
    public String getYDJJDCName(){
        return YDJJDCName ;
    }

    /**
     * 设置 [已登记机动车名称]
     */
    public void setYDJJDCName(String  yDJJDCName){
        this.YDJJDCName = yDJJDCName ;
        this.YDJJDCNameDirtyFlag = true ;
    }
    /**
     * 获取 [已登记机动车名称]脏标记
     */
    @JsonIgnore
    public boolean getYDJJDCNameDirtyFlag(){
        return YDJJDCNameDirtyFlag ;
    }

    /**
     * 获取 [新车购置价]
     */
    public BigDecimal getXcgzj(){
        return Xcgzj ;
    }

    /**
     * 设置 [新车购置价]
     */
    public void setXcgzj(BigDecimal  xcgzj){
        this.Xcgzj = xcgzj ;
        this.XcgzjDirtyFlag = true ;
    }
    /**
     * 获取 [新车购置价]脏标记
     */
    @JsonIgnore
    public boolean getXcgzjDirtyFlag(){
        return XcgzjDirtyFlag ;
    }

    /**
     * 获取 [更新时间]
     */
    public Timestamp getUpdateDate(){
        return UpdateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    public void setUpdateDate(Timestamp  updateDate){
        this.UpdateDate = updateDate ;
        this.UpdateDateDirtyFlag = true ;
    }
    /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return UpdateDateDirtyFlag ;
    }

    /**
     * 获取 [核定载质量]
     */
    public Double getHdzzl(){
        return Hdzzl ;
    }

    /**
     * 设置 [核定载质量]
     */
    public void setHdzzl(Double  hdzzl){
        this.Hdzzl = hdzzl ;
        this.HdzzlDirtyFlag = true ;
    }
    /**
     * 获取 [核定载质量]脏标记
     */
    @JsonIgnore
    public boolean getHdzzlDirtyFlag(){
        return HdzzlDirtyFlag ;
    }

    /**
     * 获取 [A/B类]
     */
    public String getAbl(){
        return Abl ;
    }

    /**
     * 设置 [A/B类]
     */
    public void setAbl(String  abl){
        this.Abl = abl ;
        this.AblDirtyFlag = true ;
    }
    /**
     * 获取 [A/B类]脏标记
     */
    @JsonIgnore
    public boolean getAblDirtyFlag(){
        return AblDirtyFlag ;
    }

    /**
     * 获取 [车辆类型描述]
     */
    public String getCllxms(){
        return Cllxms ;
    }

    /**
     * 设置 [车辆类型描述]
     */
    public void setCllxms(String  cllxms){
        this.Cllxms = cllxms ;
        this.CllxmsDirtyFlag = true ;
    }
    /**
     * 获取 [车辆类型描述]脏标记
     */
    @JsonIgnore
    public boolean getCllxmsDirtyFlag(){
        return CllxmsDirtyFlag ;
    }

    /**
     * 获取 [车架号]
     */
    public String getCjh(){
        return Cjh ;
    }

    /**
     * 设置 [车架号]
     */
    public void setCjh(String  cjh){
        this.Cjh = cjh ;
        this.CjhDirtyFlag = true ;
    }
    /**
     * 获取 [车架号]脏标记
     */
    @JsonIgnore
    public boolean getCjhDirtyFlag(){
        return CjhDirtyFlag ;
    }

    /**
     * 获取 [号牌底色]
     */
    public String getHpds(){
        return Hpds ;
    }

    /**
     * 设置 [号牌底色]
     */
    public void setHpds(String  hpds){
        this.Hpds = hpds ;
        this.HpdsDirtyFlag = true ;
    }
    /**
     * 获取 [号牌底色]脏标记
     */
    @JsonIgnore
    public boolean getHpdsDirtyFlag(){
        return HpdsDirtyFlag ;
    }

    /**
     * 获取 [已登记机动车标识]
     */
    public String getYDJJDCId(){
        return YDJJDCId ;
    }

    /**
     * 设置 [已登记机动车标识]
     */
    public void setYDJJDCId(String  yDJJDCId){
        this.YDJJDCId = yDJJDCId ;
        this.YDJJDCIdDirtyFlag = true ;
    }
    /**
     * 获取 [已登记机动车标识]脏标记
     */
    @JsonIgnore
    public boolean getYDJJDCIdDirtyFlag(){
        return YDJJDCIdDirtyFlag ;
    }

}